package com.company.fsuggestion.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;
import java.util.Date;

@NamePattern("%s|name")
@Table(name = "FSUGGESTION_CUSTOMER")
@Entity(name = "fsuggestion_Customer")
public class Customer extends StandardEntity {
    private static final long serialVersionUID = 7486201162847656018L;

    @Column(name = "NAME")
    protected String name;

    @Temporal(TemporalType.DATE)
    @Column(name = "DATE_")
    protected Date date;

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}